Package org.silverpeas.components.gallery.notification.user

# Class GalleryAlbumMediaSubscriptionNotificationBuilder

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
org.silverpeas.components.gallery.notification.user.AbstractGalleryUserNotification<AlbumDetail>
org.silverpeas.components.gallery.notification.user.AbstractGalleryAlbumUserNotification
org.silverpeas.components.gallery.notification.user.GalleryAlbumMediaSubscriptionNotificationBuilder

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`, `org.silverpeas.core.notification.user.RemoveSenderRecipientBehavior`, `org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior`

public class GalleryAlbumMediaSubscriptionNotificationBuilder extends AbstractGalleryAlbumUserNotification implements org.silverpeas.core.notification.user.RemoveSenderRecipientBehavior, org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior
A builder of notifications to gallery subscribers to inform them about some changes in an album.

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  ### Fields inherited from interface org.silverpeas.core.notification.user.UserSubscriptionNotificationBehavior

  `SUBSCRIPTION_NOTIFICATION_SENDING_CONFIRMATION_HTTP_PARAM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.notification.user.client.constant.NotifAction`
  `getAction()`
  `protected String`
  `getBundleSubjectKey()`
  `protected Collection<String>`
  `getGroupIdsToNotify()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`
  `protected void`
  `performTemplateData(String language, AlbumDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)`

  ### Methods inherited from class org.silverpeas.components.gallery.notification.user.AbstractGalleryAlbumUserNotification

  `getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getPath, getResourceURL, getSender, perform, performNotificationResource`

  ### Methods inherited from class org.silverpeas.components.gallery.notification.user.AbstractGalleryUserNotification

  `getLocalizationBundlePath, getTemplatePath`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getAction

    protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()
    Overrides:
      `getAction` in class `AbstractGalleryUserNotification<AlbumDetail>`

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<AlbumDetail>`

  - ### performTemplateData

    protected void performTemplateData(String language, AlbumDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)
    Overrides:
      `performTemplateData` in class `AbstractGalleryAlbumUserNotification`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getGroupIdsToNotify

    protected Collection<String> getGroupIdsToNotify()
    Overrides:
      `getGroupIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getBundleSubjectKey

    protected String getBundleSubjectKey()
    Overrides:
      `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<AlbumDetail>`